<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" 
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
	xmlns:h="http://xmlns.jcp.org/jsf/html"
	xmlns:f="http://xmlns.jcp.org/jsf/core">

<ui:composition template="template.xhtml">
	
	<ui:define name="content">
		<h2>Nová přísada</h2>
	    <h:form>
	    	<!-- prostor pro zpravy, ktere muzou komponenty generovat (povinna polozka nezadana apod.) -->
			<h:messages layout="table" styleClass="errorMsg"></h:messages>
			<!-- komponenty uvnitr rozmistuje do 2 sloupcu (bere ale aj commenty) -->
			<h:panelGrid columns="2" styleClass="form">
				
				<h:outputLabel rendered="true" value="Název"></h:outputLabel>
				<h:inputText value="#{prisadaBean.prisada.nazevPrisady}" required="true"
					requiredMessage="Název je povinný"
					validatorMessage="Neplatný název">
					<f:validateLength minimum="2" maximum="80" />
				</h:inputText>
				
				<h:outputLabel rendered="true" value="Nákupní cena"></h:outputLabel>
				<h:inputText value="#{prisadaBean.prisada.nakupniCena}" required="true"
					requiredMessage="Cena je povinná"
					validatorMessage="Cena nesmí být záporná">
					<f:validateDoubleRange minimum="0.0" />
					<f:convertNumber maxFractionDigits="2" />
				</h:inputText>
								
				<h:outputLabel rendered="true" value="Množství skladem"></h:outputLabel>
				<h:inputText value="#{prisadaBean.prisada.mnozstviSkladem}" required="true"
					requiredMessage="Množství je povinné"
					validatorMessage="Množství nesmí být záporné">
					<f:validateDoubleRange minimum="1.0" />
					<f:convertNumber maxFractionDigits="2" />
				</h:inputText>
				<h:outputLabel rendered="true" value="Jednotka"></h:outputLabel>
				<h:selectOneMenu value="#{prisadaBean.prisada.jednotka}">
   					<f:selectItem itemValue="ks" itemLabel="kusy" />
   					<f:selectItem itemValue="g" itemLabel="gramy" />
   					<f:selectItem itemValue="kg" itemLabel="kilogramy" />
   					<f:selectItem itemValue="l" itemLabel="litry" />
   					<f:selectItem itemValue="dcl" itemLabel="decilitry" />
   					
				</h:selectOneMenu>
				
				<h:outputLabel rendered="true" value=""></h:outputLabel>
				<h:commandButton action="#{prisadaBean.actionInsertNew}" styleClass="formbutton" value="Uložit">
				</h:commandButton>
			</h:panelGrid>
	    </h:form>
	</ui:define>
</ui:composition>
</html>
